<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Hardline/Scripts/3_game/dayzexpansion_hardline/settings/expansionsettings.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d5d/a08743_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionsettings.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/d5d/a08743.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionSettings.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d1/d07/a03482.html">ExpansionSettings</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/d07/a03482.html#a483df7016f1257b179a168fc481a98e4">   15</a></span>    <span class="keyword">static</span> ref ScriptInvoker <a class="code hl_variable" href="../../d1/d07/a03482.html#a483df7016f1257b179a168fc481a98e4">SI_Hardline</a> = <span class="keyword">new</span> ScriptInvoker();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/d07/a03482.html#af4016debfdf90ac69a22e094e5cce5c0">   17</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/d07/a03482.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        super.Init();</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_function" href="../../d1/d07/a03482.html#af4016debfdf90ac69a22e094e5cce5c0">Init</a>(<a class="code hl_class" href="../../d3/d25/a08362.html">ExpansionHardlineSettings</a>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d1/d07/a03482.html#a9eca8055718378307d97df28f6b0734f">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/d07/a03482.html#a9eca8055718378307d97df28f6b0734f">OnRPC</a>( PlayerIdentity sender, Object target, <span class="keywordtype">int</span> rpc_type, ParamsReadContext ctx )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.SETTINGS, <span class="keyword">this</span>, <span class="stringliteral">&quot;OnRPC&quot;</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <span class="keywordflow">if</span> (super.OnRPC(sender, target, rpc_type, ctx))</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span> </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> ( rpc_type &lt;= ExpansionSettingsRPC.INVALID || rpc_type &gt;= <a class="code hl_enumeration" href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.COUNT )</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <span class="keywordflow">switch</span> ( rpc_type )</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            <span class="keywordflow">case</span> <a class="code hl_enumeration" href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a>.Hardline:</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            {</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                <a class="code hl_function" href="../../d1/d07/a03482.html#ae0d784a7a41318be659b98eed9d58148">Receive</a>(<a class="code hl_class" href="../../d3/d25/a08362.html">ExpansionHardlineSettings</a>, ctx);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>                <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>            }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span> </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span> </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">   48</a></span>    <a class="code hl_class" href="../../d3/d25/a08362.html">ExpansionHardlineSettings</a> <a class="code hl_function" href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">GetHardline</a>(<span class="keywordtype">bool</span> checkLoaded = <span class="keyword">true</span>)</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> <a class="code hl_class" href="../../d3/d25/a08362.html">ExpansionHardlineSettings</a>.Cast(<a class="code hl_function" href="../../d1/d07/a03482.html#af3c4b37bc898eb65320c638f599bb0ed">Get</a>(<a class="code hl_class" href="../../d3/d25/a08362.html">ExpansionHardlineSettings</a>, checkLoaded));</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>};</div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa00782_html_a2f909deb4892593626f98b201415d514"><div class="ttname"><a href="../../da/d96/a00782.html#a2f909deb4892593626f98b201415d514">ExpansionSettingsRPC</a></div><div class="ttdeci">ExpansionSettingsRPC</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d96/a00782_source.html#l00244">expansionrpc.c:245</a></div></div>
<div class="ttc" id="aa03482_html"><div class="ttname"><a href="../../d1/d07/a03482.html">ExpansionSettings</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d71/a08728_source.html#l00013">expansionsettings.c:14</a></div></div>
<div class="ttc" id="aa03482_html_a26a8c83b064ec9876d3b31d1584fba98"><div class="ttname"><a href="../../d1/d07/a03482.html#a26a8c83b064ec9876d3b31d1584fba98">ExpansionSettings::GetHardline</a></div><div class="ttdeci">ExpansionHardlineSettings GetHardline(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5d/a08743_source.html#l00048">expansionsettings.c:48</a></div></div>
<div class="ttc" id="aa03482_html_a483df7016f1257b179a168fc481a98e4"><div class="ttname"><a href="../../d1/d07/a03482.html#a483df7016f1257b179a168fc481a98e4">ExpansionSettings::SI_Hardline</a></div><div class="ttdeci">static ref ScriptInvoker SI_Hardline</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5d/a08743_source.html#l00015">expansionsettings.c:15</a></div></div>
<div class="ttc" id="aa03482_html_a9eca8055718378307d97df28f6b0734f"><div class="ttname"><a href="../../d1/d07/a03482.html#a9eca8055718378307d97df28f6b0734f">ExpansionSettings::OnRPC</a></div><div class="ttdeci">override bool OnRPC(PlayerIdentity sender, Object target, int rpc_type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5d/a08743_source.html#l00024">expansionsettings.c:24</a></div></div>
<div class="ttc" id="aa03482_html_ae0d784a7a41318be659b98eed9d58148"><div class="ttname"><a href="../../d1/d07/a03482.html#ae0d784a7a41318be659b98eed9d58148">ExpansionSettings::Receive</a></div><div class="ttdeci">void Receive(typename type, ParamsReadContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00164">expansionsettings.c:164</a></div></div>
<div class="ttc" id="aa03482_html_af3c4b37bc898eb65320c638f599bb0ed"><div class="ttname"><a href="../../d1/d07/a03482.html#af3c4b37bc898eb65320c638f599bb0ed">ExpansionSettings::Get</a></div><div class="ttdeci">ExpansionSettingBase Get(typename type, bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00190">expansionsettings.c:190</a></div></div>
<div class="ttc" id="aa03482_html_af4016debfdf90ac69a22e094e5cce5c0"><div class="ttname"><a href="../../d1/d07/a03482.html#af4016debfdf90ac69a22e094e5cce5c0">ExpansionSettings::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d5d/a08743_source.html#l00017">expansionsettings.c:17</a></div></div>
<div class="ttc" id="aa08362_html"><div class="ttname"><a href="../../d3/d25/a08362.html">ExpansionHardlineSettings</a></div><div class="ttdoc">Hardline settings class.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dbc/a01451_source.html#l00085">expansionhardlinesettings.c:81</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_8f89211ef9a4afdd3d12a94e1d54a2ba.html">Hardline</a></li><li class="navelem"><a class="el" href="../../dir_d6262d0b66982b5ff6377647c75ed4bb.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_d73f4ce72b74bdb90bc663399ab0107a.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_eee39437cd87d591882842da5adfe2f9.html">dayzexpansion_hardline</a></li><li class="navelem"><a class="el" href="../../dir_398c646ae869bce0618655ac5dd2f888.html">settings</a></li><li class="navelem"><a class="el" href="../../da/d5d/a08743.html">expansionsettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
